OMV 4.1.27-1 crashes sometimes (often)

  • Hallo everyone,


    I have a questions. I've read about someone who has his Raspberry Pi with OMV installed about one year running. But my system crashes sometimes. sometimes after 7 days, sometimes a bit later.


    Does this has to do with my version of OMV?


    Because I have an Raspberry Pi 4 (2Gb) with OMV Version 4.1.27-1. As far as I know this is a kind of a jabby version because OMV 4 is not fully optimized for RPi4. I don't know if this is correct, thats my knowledge. Please correct me if I'm wrong.


    I'm new to OMV and NAS on RPi.


    Thank you for your help.


    Version of System: ARMBIAN 5.46 experimental Debian GNU/Linux 9 (stretch) 4.19.75-v7l+

  • Okay, So you mean I should use your script to get OMV 5.x with the newest Rabian Buster Image?

    Yes. Just make sure to use the Buster Lite image.


    How can I get all my settings to the new system?

    You have to manually transfer them. So, you might need to use screenshots.


    I backup my system every night with the backup option on the webif. Can I use the files from the backup to get all settings back?

    No since your backups are OMV 4.x and they would restore the problematic parts of that image.

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • Yes. Just make sure to use the Buster Lite image.

    You have to manually transfer them. So, you might need to use screenshots.

    No since your backups are OMV 4.x and they would restore the problematic parts of that image.

    Okay Thank you very much for your help. Then this would be a bigger project to switch to OMV 5.x.


    But with your script the installation ist easy or do I need to consider other things?

  • I am not sure if I should do the upgrade to OMV5 because it is also in Beta so why should this work better. I think I'll wait with OMV 5.


    I had this morning another error of OMV. I couldn't connect to the webif. I had to do a hard reset.


    Can some look at my log to give me a feedback what could be the reason?


    What log shout I upload? If this can help...


    Thank you.

  • I am not sure if I should do the upgrade to OMV5 because it is also in Beta so why should this work better. I think I'll wait with OMV 5.

    On the RPi4, I think OMV 5.x is more stable than OMV 4.x.

    I had this morning another error of OMV. I couldn't connect to the webif. I had to do a hard reset.


    Can some look at my log to give me a feedback what could be the reason?


    What log shout I upload? If this can help...

    There are many, many reasons this could happen. You would have to upload all of the logs. I also wouldn't spend my time trying to figure out OMV 4.x problems on an RPi4. There are just too many issues with that because Armbian isn't really supported on RPis.

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!